iPhone Iphone 4s 5.0 JB help

Discussion in 'Jailbreaks and iOS Hacks' started by wingsgb, Jan 25, 2013.

  1. wingsgb macrumors newbie

    Joined:
    Jan 25, 2013
    #1
    hi all,

    Iv had my iphone 4s JB since release. Everything has been fine but iv recently upgraded from a av composite cable to a av digital cable. Now when i connect to my phone it says i need an ios upgrade. After reading more the new cable is only compatible with IOS 5.1+

    The reason i need the phone to stay JB is because the sky sports app blocks mirror output. Which is what i use the cable for.

    So my question is, i have a jb iphone 4s on IOS 5.0 and i need to upgrade to anything above 5.1

    Any help would be appreciated.
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    If your 4S is on factory fresh 5.0 firmware (which it is unless you restored it to 5.0 using iTunes previously), you can only upgrade to current firmware, 6.0.1 (no jailbreak)
    But your cables should work.
     
  3. wingsgb thread starter macrumors newbie

    Joined:
    Jan 25, 2013
    #3
    Thanks for the reply. Im not to sure if its factory fresh but if i go into cydia iv got the shsh blobs for 5.1.1 can i not use ifaith to create a custom ispw.

    The cable should work on IOS 5.0 you mean?
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Your 4S HAS TO BE on factory fresh unless YOU previously restored it while Apple was signing 5.0

    My remark about the cables was in reference to upgrading to 6.0.1
     
  5. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #5
    ifaith uses the limera1n exploit which is for 3GS and A4 devices only, not for the A5 4S.

    You can try a 5.0 to 5.1.1 restore with redsn0w and your blobs, it is supposed to be a failsafe mechanism. If it does not work because of the different RAM-disk of a factory 5.0 redsn0w will let you know and not continue with the porcess.
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    Its not as simple as having blobs and you just restore to them like the iphone 4 or 3GS.
    You need the latest redsnow and you might need both 5.0.1 blobs and 5.1.1 blobs.
     
  7. wingsgb thread starter macrumors newbie

    Joined:
    Jan 25, 2013
    #7
    Im not saying it wouldn't work but to my knowledge the sky sports app dosnt allow for video output unless you are JB and using the TVout app so if i upgrade to 6.0.1 and cant JB well then i cant use the cable


    When in cydia it says i have both of them blobs.
    When using redsn0w if i try to fetch it says dosent support 4s but when i use tinyumbrella i can view all the blobs.
     
  8. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #8
    if cydia has the blobs you can try:

    Download the 5.0 and 5.1.1 IPSW
    go to Extras/Even More/Restore
    follow instructions
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    You dont need to fetch.
    Go to redsnow, extras, even more, restore.
    Then select the ipsw you want to restore use blobs for restore etc..
     
  10. wingsgb thread starter macrumors newbie

    Joined:
    Jan 25, 2013
    #10
    If i go into extras there isnt an "even more" section. I have latest version of redsn0w, what one do i need.
     
  11. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World

Share This Page